﻿@model BeerOverflow.Services.DTOs.BeerDTO
@{
    ViewData["Title"] = "Edit Beer";
}

<h1>Edit</h1>
<h4>@Model.Name</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit" asp-controller="Beers" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control form-control-lg" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control form-control-lg" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="StyleID" class="control-label">Style</label>
                <select asp-for="StyleID" class="selectpicker country" data-style="form-control form-control-lg" data-width="fit" asp-items="ViewBag.StyleID"></select>
            </div>
            <div class="form-group">
                <label asp-for="BreweryID" class="control-label">Brewery</label>
                <select asp-for="BreweryID" class="selectpicker country" data-style="form-control form-control-lg" data-width="fit" asp-items="ViewBag.BreweryID"></select>
            </div>
            <div class="form-group">
                <label asp-for="ABV" class="control-label"></label>
                <input asp-for="ABV" class="form-control" />
                <span asp-validation-for="ABV" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-dark" />
            </div>
        </form>
    </div>
</div>


<div>
    <a asp-action="Index">Back to List</a>
</div>
